# LinkedSupervisorJob

fun CoroutineContext . LinkedSupervisorJob (additionalContext: CoroutineContext ? = null): CoroutineContext (source)

Creates a SupervisorJob linked to this CoroutineContext's job. The new supervisor job will be a child of the current job, and optionally combined with additionalContext.

#### Return

A CoroutineContext containing the new supervisor job

#### Parameters

additionalContext

Optional additional context to combine with the supervisor job

fun CoroutineScope. LinkedSupervisorJob (additionalContext: CoroutineContext ? = null): CoroutineContext (source)

Creates a SupervisorJob linked to this CoroutineScope's job. The new supervisor job will be a child of the current scope's job, and optionally combined with additionalContext.

#### Return

A CoroutineContext containing the new supervisor job

#### Parameters

additionalContext

Optional additional context to combine with the supervisor job